# Uses of Interface
com.sun.jdi.request.BreakpointRequest

Packages that use BreakpointRequest
Package
Description
com.sun.jdi.request
This package is used to request that a JDI event be sent under specified conditions.

## Uses of BreakpointRequest in com.sun.jdi.request

Methods in com.sun.jdi.request that return BreakpointRequest
Modifier and Type
Method
Description
`BreakpointRequest`
EventRequestManager.`createBreakpointRequest​(Location location)`
Creates a new disabled `BreakpointRequest`.
Methods in com.sun.jdi.request that return types with arguments of type BreakpointRequest
Modifier and Type
Method
Description
`List<BreakpointRequest>`
EventRequestManager.`breakpointRequests()`
Return an unmodifiable list of the enabled and disabled breakpoint requests.